aboutsummaryrefslogtreecommitdiffstats
path: root/extra/libxslt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-12 20:46:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-12 20:46:38 +0000
commit26d424bd1ac543a02731a9d2cacc9895a5e2b9f9 (patch)
tree2ae2eb6867836549bd894232837baa4dc32eaa28 /extra/libxslt/APKBUILD
parent3edaff57e369feebfa909c7118347686e223226d (diff)
downloadaports-26d424bd1ac543a02731a9d2cacc9895a5e2b9f9.tar.gz
aports-26d424bd1ac543a02731a9d2cacc9895a5e2b9f9.tar.bz2
aports-26d424bd1ac543a02731a9d2cacc9895a5e2b9f9.tar.xz
extra/libxslt: new aport
XML stylesheet transformation library http://xmlsoft.org/XSLT/ forgot to commit this earlier
Diffstat (limited to 'extra/libxslt/APKBUILD')
-rw-r--r--extra/libxslt/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/extra/libxslt/APKBUILD b/extra/libxslt/APKBUILD
new file mode 100644
index 0000000000..8f6ce29380
--- /dev/null
+++ b/extra/libxslt/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxslt
+pkgver=1.1.24
+pkgrel=0
+pkgdesc="XML stylesheet transformation library"
+url="http://xmlsoft.org/XSLT/"
+license="custom"
+depends="libxml2 libgcrypt libgpg-error"
+makedepends="libxml2-dev libgcrypt-dev libgpg-error-dev python"
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://xmlsoft.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="e83ec5d27fc4c10c6f612879bea9a153 libxslt-1.1.24.tar.gz"